> ## Documentation Index
> Fetch the complete documentation index at: https://memoram.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Memory

> Permanently delete a specific memory blob. Requires the user's ID.

Permanently delete a specific memory blob. Requires the user's ID.

This operation is irreversible.

### Authorization

Requires `Bearer` token authentication using your Developer JWT.


## OpenAPI

````yaml DELETE /memory-blobs/{blobId}
openapi: 3.0.3
info:
  title: Memoram API v1
  description: >-
    API for interacting with the Memoram platform, managing access, memories,
    and tags.
  version: 1.0.0
  contact:
    name: Memoram Support
    url: https://memoram.app
    email: support@memoram.app
servers:
  - url: https://api.memoram.app/api/v1
    description: Production Server
security: []
tags:
  - name: Access Management
    description: >-
      Endpoints for obtaining authentication tokens and managing access requests
      to user memories.
  - name: Memory Management
    description: >-
      Endpoints for creating, retrieving, updating, and deleting user memory
      blobs.
  - name: Memory Tag Management
    description: Endpoints for retrieving memory tags.
paths:
  /memory-blobs/{blobId}:
    delete:
      tags:
        - Memory Management
      summary: Delete Memory
      description: Permanently delete a specific memory blob. Requires the user's ID.
      parameters:
        - name: blobId
          in: path
          required: true
          description: The unique ID of the memory blob to delete.
          schema:
            type: string
        - name: user_id
          in: query
          required: true
          description: The unique ID of the user who owns the memory blob.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Memory blob deleted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
        '204':
          description: Memory blob deleted successfully (No Content).
        '400':
          description: Bad Request - Missing or invalid user_id.
        '401':
          description: Unauthorized - Invalid or expired JWT.
        '403':
          description: >-
            Forbidden - Memory blob does not belong to the user or developer
            lacks delete access.
        '404':
          description: Not Found - Memory blob with the specified ID not found.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token obtained via `/auth/token` endpoint.

````